# SimpleRobotRules.RobotRulesMode (Crawler-commons 1.1 API)
Date: 2020-06-25

crawlercommons.robots

## Enum SimpleRobotRules.RobotRulesMode

- java.lang.Object
- - java.lang.Enum<SimpleRobotRules.RobotRulesMode>
  - - crawlercommons.robots.SimpleRobotRules.RobotRulesMode

All Implemented Interfaces:
  Serializable, Comparable<SimpleRobotRules.RobotRulesMode>

Enclosing class:
  SimpleRobotRules

    public static enum SimpleRobotRules.RobotRulesMode
    extends Enum<SimpleRobotRules.RobotRulesMode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALLOW_ALL`
`ALLOW_NONE`
`ALLOW_SOME`

### Method Summary

All Methods Static Methods Concrete Methods
`static SimpleRobotRules.RobotRulesMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SimpleRobotRules.RobotRulesMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALLOW_ALL

    public static final SimpleRobotRules.RobotRulesMode ALLOW_ALL

#### ALLOW_NONE

    public static final SimpleRobotRules.RobotRulesMode ALLOW_NONE

#### ALLOW_SOME

    public static final SimpleRobotRules.RobotRulesMode ALLOW_SOME

### Method Detail

#### values

    public static SimpleRobotRules.RobotRulesMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SimpleRobotRules.RobotRulesMode c : SimpleRobotRules.RobotRulesMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SimpleRobotRules.RobotRulesMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null